## gnome-twitch 0.2.1

=== meson_options.txt ===
option('do-post-install', type : 'boolean', value : true, description : 'Run post-install script')

## gnome-twitch 0.1.0

=== debian/changelog ===
gnome-twitch (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #802226)

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Fri, 23 Oct 2015 22:02:41 +0200

=== debian/control ===
Source: gnome-twitch
Section: video
Priority: optional
Maintainer: Tim Dengel <tim.dengel.debian@gmail.com>
Build-Depends: debhelper (>= 9), meson (>= 0.26.0), libgtk-3-dev (>= 3.16), libsoup2.4-dev, libjson-glib-dev, libgstreamer1.0-dev, libclutter-gst-3.0-dev, libclutter-gtk-1.0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/Ippytraxx/gnome-twitch

Package: gnome-twitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNOME Twitch app for watching Twitch.tv streams without a browser or flash
 gnome-twitch provides a GTK3 interface for viewing streams on Twitch.
 At the moment you can 
  * browse, 
  * search,
  * view streams and 
  * change the video quality.
 More features like favorites, chat and recording streams are planned.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja

%:
	dh $@ 

override_dh_auto_configure:
	mkdir build && meson --buildtype release --prefix /usr -Ddo-post-install=false . build

override_dh_auto_build:
	$(MAKE) -C build all

override_dh_auto_clean:
	rm -rf build

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C build install

## gnome-twitch 0.2.0

=== debian/changelog ===
gnome-twitch (0.2.0-4) unstable; urgency=low

  * Make ninja output all compiler commands (Closes: #832157)

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Sat, 23 Jul 2016 03:25:52 +0200

gnome-twitch (0.2.0-3) unstable; urgency=medium

  * replace unsafe calls to sprintf-like functions
    with safer alternatives

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Sun, 17 Jul 2016 23:24:52 +0200

gnome-twitch (0.2.0-2) unstable; urgency=medium

  * Use new meson syntax for gettext (Closes: #828714)
  * Updated dependency on meson accordingly

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Mon, 27 Jun 2016 20:19:01 +0200

gnome-twitch (0.2.0-1) unstable; urgency=low

  * New upstream release (0.2.0)
  * Use hardening options
  * Updated dependencies:
    * Only link to needed libraries
    * Added gstreamer1.0-plugins-ugly for x264 codec
  * Bumped standard version from 3.9.6 to 3.9.8

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Fri, 08 Apr 2016 19:36:35 +0200

=== debian/control ===
Source: gnome-twitch
Section: video
Priority: optional
Maintainer: Tim Dengel <tim.dengel.debian@gmail.com>
Build-Depends: debhelper (>= 9), meson (>= 0.32.0), libgtk-3-dev (>= 3.16), libsoup2.4-dev, libjson-glib-dev, libgstreamer1.0-dev, libclutter-gst-3.0-dev, libclutter-gtk-1.0-dev, libwebkit2gtk-4.0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/Ippytraxx/gnome-twitch
Vcs-Git: https://github.com/dengelt/gnome-twitch.git -b debian/sid
Vcs-Browser: https://github.com/dengelt/gnome-twitch/tree/debian/sid

Package: gnome-twitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-plugins-ugly
Description: GNOME Twitch app for watching Twitch.tv streams without a browser or flash
 gnome-twitch provides a GTK3 interface for viewing streams on Twitch.
 At the moment you can 
  * browse popular streams,
  * browse streams by game,
  * search for streams,
  * view streams,
  * use the chat with a Twitch account,
  * change the video quality,
  * mark streams as favorites for faster access.
 More features like recording streams, VODs (Video-On-Demand), 
 other player backends and integration of Twitch account features 
 like following streams are planned.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja -v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ 

override_dh_auto_configure:
	mkdir build && meson --buildtype plain --prefix /usr -Ddo-post-install=false . build

override_dh_auto_build:
	$(MAKE) -C build all

override_dh_auto_clean:
	rm -rf build

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C build install

## gnome-twitch 0.2.1

=== debian/changelog ===
gnome-twitch (0.2.1-1) unstable; urgency=medium

  * New upstream release (0.2.1)

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Mon, 08 Aug 2016 11:42:26 +0200

## gnome-twitch 0.3.1

=== meson_options.txt ===
option('do-post-install', type : 'boolean', value : true, description : 'Run post-install script')
option('use-deprecated-webkit', type : 'boolean', value : false, descritpion : 'Use deprecated WebKit1 API')
option('with-player-mpv-opengl', type : 'boolean', value : false, description : 'Compile MPV OpenGL player backend')
option('with-player-gstreamer-clutter', type : 'boolean', value : false, description : 'Compile GStreamer player backend')
option('with-player-gstreamer-cairo', type : 'boolean', value : false, description : 'Compile GStreamer cairo player backend')
option('with-player-gstreamer-opengl', type : 'boolean', value : false, description : 'Compile GStreamer OpenGL playerbackend')

=== debian/changelog ===
gnome-twitch (0.3.1-1) unstable; urgency=medium

  * New upstream release (0.3.1)
  * Set priority to "extra"
  * Make gnome-twitch recommend the player
    backends instead of depending on them (Closes: #838830)
  * Update dependency on libgtk-3-dev to ">=3.20"
  * Add missing runtime-dependencies on gstreamer plugins:
    * gstreamer1.0-libav
    * gstreamer1.0-plugins-base
    * gstreamer1.0-plugins-good
    * gstreamer1.0-plugins-bad
  * Remove unnecessary dependency on gstreamer1.0-plugins-ugly
  * Add new and updated translation files to d/copyright

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Sun, 06 Nov 2016 12:55:19 +0100

gnome-twitch (0.3.0-2) unstable; urgency=medium

  * Fix bug to correctly append the client ID
    only once per request

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Thu, 15 Sep 2016 18:50:51 +0200

gnome-twitch (0.3.0-1) unstable; urgency=medium

  * New upstream release (0.3.0)
    * Build player backends in multiple binary packages
    * Add build-depends on libpeas-dev for new plugin system
    * Add build-depends on libmpv-dev for mpv player backend

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Sat, 03 Sep 2016 22:12:01 +0200

=== debian/control ===
Source: gnome-twitch
Section: video
Priority: extra
Maintainer: Tim Dengel <tim.dengel.debian@gmail.com>
Build-Depends: debhelper (>= 9), meson (>= 0.32.0), libgtk-3-dev (>= 3.20), libpeas-dev, libsoup2.4-dev, libjson-glib-dev, libgstreamer1.0-dev, libclutter-gst-3.0-dev, libclutter-gtk-1.0-dev, libwebkit2gtk-4.0-dev, libmpv-dev
Standards-Version: 3.9.8
Homepage: https://github.com/vinszent/gnome-twitch
Vcs-Git: https://github.com/dengelt/gnome-twitch.git -b debian/sid
Vcs-Browser: https://github.com/dengelt/gnome-twitch/tree/debian/sid

Package: gnome-twitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnome-twitch-player-backend-gstreamer-cairo (= ${binary:Version}) | gnome-twitch-player-backend-gstreamer-opengl (= ${binary:Version}) | gnome-twitch-player-backend-gstreamer-clutter (= ${binary:Version}) | gnome-twitch-player-backend-mpv-opengl (= ${binary:Version})
Description: GNOME Twitch app for watching Twitch.tv streams without a browser or flash
 gnome-twitch provides a GTK3 interface for viewing streams on Twitch.
 At the moment you can 
  * browse popular streams,
  * browse streams by game,
  * search for streams,
  * view streams,
  * use the chat with a Twitch account,
  * change the video quality,
  * follow streams on your Twitch account and
  * switch between player backends.
 More features like recording streams, VODs (Video-On-Demand), 
 integration of Twitch account features 
 like following streams are planned.

Package: gnome-twitch-player-backend-gstreamer-cairo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-libav, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gnome-twitch (= ${binary:Version})
Description: Player backend for GNOME Twitch based on gstreamer+cairo
 Player backends are responsible for playing the actual video streams.
 Different player backends use different libraries to do this. 
 This player backend uses GStreamer and cairo.

Package: gnome-twitch-player-backend-gstreamer-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-libav, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gnome-twitch (= ${binary:Version})
Description: Player backend for GNOME Twitch based on gstreamer+opengl
 Player backends are responsible for playing the actual video streams.
 Different player backends use different libraries to do this.
 This player backend uses GStreamer and OpenGL.

Package: gnome-twitch-player-backend-gstreamer-clutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-libav, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gnome-twitch (= ${binary:Version})
Description: Player backend for GNOME Twitch based on gstreamer+clutter
 Player backends are responsible for playing the actual video streams.
 Different player backends use different libraries to do this.
 This player backend uses GStreamer and clutter.

Package: gnome-twitch-player-backend-mpv-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-twitch (= ${binary:Version})
Description: Player backend for GNOME Twitch based on mpv
 Player backends are responsible for playing the actual video streams.
 Different player backends use different libraries to do this.
 This player backend uses mpv and OpenGL.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,13 @@
 	dh $@ 
 
 override_dh_auto_configure:
-	mkdir build && meson --buildtype plain --prefix /usr -Ddo-post-install=false . build
+	mkdir build && meson --buildtype plain --prefix /usr \
+	               -Ddo-post-install=false \
+	               -Db_lundef=false \
+	               -Dwith-player-mpv-opengl=true \
+	               -Dwith-player-gstreamer-clutter=true \
+	               -Dwith-player-gstreamer-cairo=true \
+	               -Dwith-player-gstreamer-opengl=true . build
 
 override_dh_auto_build:
 	$(MAKE) -C build all

## gnome-twitch 0.4.1

=== meson_options.txt ===
option('build-executable', type : 'boolean', value : true, description : 'Build the main executable')
option('build-player-backends', type : 'string', description : 'Comma separated list of player backends to build. Possible values are gstreamer-cairo, gstreamer-opengl, gstreamer-clutter and mpv-opengl')
option('use-deprecated-webkit', type : 'boolean', value : false, descritpion : 'Use deprecated WebKit1 API')

=== data/packages/flatpak/Makefile ===
.PHONY: all install

all:
	ninja -C build/gnome-twitch/
	ninja -C build/player-backend-gstreamer-cairo/
	ninja -C build/player-backend-gstreamer-clutter/
	ninja -C build/player-backend-gstreamer-opengl/

install:
	ninja -C build/gnome-twitch/                     install
	ninja -C build/player-backend-gstreamer-cairo/   install
	ninja -C build/player-backend-gstreamer-clutter/ install
	ninja -C build/player-backend-gstreamer-opengl/  install

=== debian/changelog ===
gnome-twitch (0.4.1-2ubuntu0.18.04.1) bionic; urgency=medium

  * Backport the https fix to bionic (lp: #1777049):
    - Use https to talk to Twitch servers, because Twitch deprecated some http
      APIs

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Jul 2018 10:45:07 +0200

gnome-twitch (0.4.1-2) unstable; urgency=medium

  * Set priority to optional because extra has been deprecated
  * Bump standards version from 3.9.8 to 4.1.1
  * Fix typo in meson build file (Closes: 880842)

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Sun, 05 Nov 2017 19:23:48 +0100

gnome-twitch (0.4.1-1) experimental; urgency=medium

  * New upstream release (0.4.1)
  * Increase required meson version to 0.37.0
  * Update copyright information in d/copyright
  * Set locale to C.UTF-8 in d/rules because
    unicode support is needed

 -- Tim Dengel <tim.dengel.debian@gmail.com>  Wed, 10 May 2017 21:57:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-twitch
 Section: video
-Priority: extra
-Maintainer: Tim Dengel <tim.dengel.debian@gmail.com>
-Build-Depends: debhelper (>= 9), meson (>= 0.32.0), libgtk-3-dev (>= 3.20), libpeas-dev, libsoup2.4-dev, libjson-glib-dev, libgstreamer1.0-dev, libclutter-gst-3.0-dev, libclutter-gtk-1.0-dev, libwebkit2gtk-4.0-dev, libmpv-dev
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tim Dengel <tim.dengel.debian@gmail.com>
+Build-Depends: debhelper (>= 9), meson (>= 0.37.0), libgtk-3-dev (>= 3.20), libpeas-dev, libsoup2.4-dev, libjson-glib-dev, libgstreamer1.0-dev, libclutter-gst-3.0-dev, libclutter-gtk-1.0-dev, libwebkit2gtk-4.0-dev, libmpv-dev
+Standards-Version: 4.1.1
 Homepage: https://github.com/vinszent/gnome-twitch
 Vcs-Git: https://github.com/dengelt/gnome-twitch.git -b debian/sid
 Vcs-Browser: https://github.com/dengelt/gnome-twitch/tree/debian/sid

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export MAKE = ninja -v
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LC_ALL=C.UTF-8

%:
	dh $@ 

override_dh_auto_configure:
	mkdir build && meson --buildtype plain --prefix /usr \
	               -Ddo-post-install=false \
	               -Db_lundef=false \
	               -Dbuild-player-backends=mpv-opengl,gstreamer-clutter,gstreamer-cairo,gstreamer-opengl \
	               . build

override_dh_auto_build:
	$(MAKE) -C build all

override_dh_auto_clean:
	rm -rf build

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C build install

=== debian/watch ===
version=3

https://github.com/Ippytraxx/gnome-twitch/tags .*/v?((?:\d\S)*\d)\.tar\.gz
